Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.seals.core.v1
Class ChoiceEncodedDataErrorType

    java.lang.Object
      be.fgov.ehealth.seals.core.v1.ChoiceEncodedDataErrorType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:42:44+01:00",
               comments="JAXB RI v2.2.11")
    public class ChoiceEncodedDataErrorType

extends Object
implements Serializable

Switch for returning encoded data or an error.

Java class for ChoiceEncodedDataErrorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ChoiceEncodedDataErrorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="EncodedData" type="{urn:be:fgov:ehealth:seals:core:v1}EncodedDataType"/>
             <element name="Error" type="{urn:be:fgov:ehealth:seals:core:v1}ErrorType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ChoiceEncodedDataErrorType()`

Method Summary
`EncodedDataType` | `getEncodedData()` Gets the value of the encodedData property.
`ErrorType` | `getError()` Gets the value of the error property.
`void` | `setEncodedData(EncodedDataType value)` Sets the value of the encodedData property.
`void` | `setError(ErrorType value)` Sets the value of the error property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChoiceEncodedDataErrorType

    public ChoiceEncodedDataErrorType()

Method Detail

### getError

    public ErrorType getError()

  Gets the value of the error property.

  Returns:
    possible object is `ErrorType`

### setError

    public void setError(ErrorType value)

  Sets the value of the error property.

  Parameters:
    `value` - allowed object is `ErrorType`

### getEncodedData

    public EncodedDataType getEncodedData()

  Gets the value of the encodedData property.

  Returns:
    possible object is `EncodedDataType`

### setEncodedData

    public void setEncodedData(EncodedDataType value)

  Sets the value of the encodedData property.

  Parameters:
    `value` - allowed object is `EncodedDataType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.